Update Pay Out payment link

View as MarkdownOpen in Claude

Partially updates a Pay Out payment link’s content, expiration date, and/or status. Use this to modify the payment page configuration, extend or change the expiration, or cancel a link. Updating the expiration date of an expired link reactivates it to Active status.

Authentication

requestTokenstring
API Key authentication via header

Path parameters

paylinkIdstringRequired
ID for the payment link.

Request

This endpoint expects an object.
billPageDataobjectOptional
Updated payment link page configuration.
expirationDatestringOptional
New expiration date for the payment link. Must be a future date. If null and the link is expired, uses the default expiration from settings. Updating the expiration date reactivates an expired payment link to Active status.
statusenumOptional
Updated status for the payment link.
Allowed values:

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDatastring or null

If isSuccess = true, this contains the payment link identifier. If isSuccess = false, this contains the reason of the error.

Errors